Subject: Re: [patch 0/6] sky2 driver update (v1.11)

From: Tino Keitel <[email-masked]>
Date: Tue, 2 Jan 2007 20:10:15 +0100

On Mon, Jan 01, 2007 at 10:36:44 -0800, Stephen Hemminger wrote:
> On Tue, 26 Dec 2006 16:44:24 -0500
> Jeff Garzik <[email-masked]> wrote:
> 
> > Stephen Hemminger wrote:
> > > Patches are in order of severity. 1-3 are bug fixes, 4 is a cleanup
> > > of the power state code, and 5 adds wake on lan support.
> > > 
> > > IMHO, it is bad security policy to allow wake on lan to enabled by default.
> > > The sky2 driver doesn't do WOL until enabled with ethtool.
> > 
> > While in general I agree with you on the security principle, this seems 
> > like it might break working setups.
> > 
> > WOL is a partnership between the motherboard and NIC.  The motherboard 
> > must support WOL, or its useless.  And since the motherboard must 
> > support WOL, it normally has an on/off switch in BIOS.
> > 
> > As such, you're overriding the admin's chosen BIOS setting here.
> > 
> > 	Jeff
> 
> But there is no way to read the BIOS settings.
> 
> If BIOS was being smart enough to actually, setup the chip, then I can
> look at chip registers on startup and see if it is enabled there.

Some computers even don't have such a BIOS settings (like my Mac mini).

Btw., I just built 2.6.20-rc3 with patches 4 and 5 and wake on LAN now
works. Thanks for your work.

Regards,
Tino